## r-cran-globals 0.11.0

=== DESCRIPTION ===
Package: globals
Version: 0.11.0
Depends: R (>= 3.1.2)
Imports: codetools
Title: Identify Global Objects in R Expressions
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
         email="henrikb@braju.com"))
Description: Identifies global ("unknown" or "free") objects in R expressions
    by code inspection using various strategies, e.g. conservative or liberal.
    The objective of this package is to make it as simple as possible to
    identify global objects for the purpose of exporting them in distributed
    compute environments.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://github.com/HenrikBengtsson/globals
BugReports: https://github.com/HenrikBengtsson/globals/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-10 05:14:29 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2018-01-10 16:46:09 UTC

## r-cran-globals 0.6.1

=== debian/changelog ===
r-cran-globals (0.6.1-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest (Thanks to Gordon Ball)

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jul 2016 08:32:34 +0200

r-cran-globals (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #828196)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 25 Jun 2016 13:58:30 -0700

=== debian/control ===
Source: r-cran-globals
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-codetools
Standards-Version: 3.9.8
Homepage: https://github.com/HenrikBengtsson/globals
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-globals.git
Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-globals.git

Package: r-cran-globals
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: R package: Identify Global Objects in R Expressions
 Identifies global ("unknown") objects in R expressions by code inspection
 using various strategies, e.g. conservative or liberal. The objective of this
 package is to make it as simple as possible to identify global objects for the
 purpose of exporting them in distributed compute environments.

=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/HenrikBengtsson/globals/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## r-cran-globals 0.8.0

=== debian/changelog ===
r-cran-globals (0.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2017 08:26:28 +0100

r-cran-globals (0.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * d/watch:
     - point to cran
     - version=4
  * debhelper 10
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2017 08:52:49 +0100

r-cran-globals (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 09:50:47 +0100

r-cran-globals (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 19 Sep 2016 02:53:59 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-cran-codetools
 Standards-Version: 3.9.8
-Homepage: https://github.com/HenrikBengtsson/globals
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-globals.git
 Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-globals.git
+Homepage: https://cran.r-project.org/package=globals
 
 Package: r-cran-globals
 Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: R package: Identify Global Objects in R Expressions
  Identifies global ("unknown") objects in R expressions by code inspection
  using various strategies, e.g. conservative or liberal. The objective of this

=== debian/watch ===
version=4

http://cran.r-project.org/src/contrib/globals_([-0-9\.]*)\.tar\.gz

# https://github.com/HenrikBengtsson/globals/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## r-cran-globals 0.10.3

=== debian/changelog ===
r-cran-globals (0.10.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:50:18 +0200

r-cran-globals (0.10.2-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Fix Vcs-Field

  [ Sébastien Villemot ]
  * New upstream version 0.10.2
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 13:36:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-r,
                r-base-dev,
                r-cran-codetools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-globals.git
-Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-globals.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals
 
 Package: r-cran-globals

## r-cran-globals 0.11.0

=== debian/changelog ===
r-cran-globals (0.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Fri, 02 Mar 2018 09:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-codetools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-globals.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals

## r-cran-globals 0.12.1

=== debian/changelog ===
r-cran-globals (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jun 2018 08:49:39 +0200

r-cran-globals (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 08:34:22 +0200

=== debian/control ===
Source: r-cran-globals
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-codetools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
Homepage: https://cran.r-project.org/package=globals

Package: r-cran-globals
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: Identify Global Objects in R Expressions
 Identifies global ("unknown") objects in R expressions by code inspection
 using various strategies, e.g. conservative or liberal. The objective of this
 package is to make it as simple as possible to identify global objects for the
 purpose of exporting them in distributed compute environments.

## r-cran-globals 0.12.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: globals
-Version: 0.11.0
+Version: 0.12.4
 Depends: R (>= 3.1.2)
 Imports: codetools
 Title: Identify Global Objects in R Expressions
@@ -16,10 +16,10 @@
 ByteCompile: TRUE
 URL: https://github.com/HenrikBengtsson/globals
 BugReports: https://github.com/HenrikBengtsson/globals/issues
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2018-01-10 05:14:29 UTC; hb
+Packaged: 2018-10-11 22:07:02 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2018-01-10 16:46:09 UTC
+Date/Publication: 2018-10-11 22:30:04 UTC

=== debian/changelog ===
r-cran-globals (0.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 08:28:27 +0200

r-cran-globals (0.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 09:20:23 +0200

r-cran-globals (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 17:15:15 +0200

## r-cran-globals 0.12.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: globals
-Version: 0.12.4
+Version: 0.12.5
 Depends: R (>= 3.1.2)
 Imports: codetools
 Title: Identify Global Objects in R Expressions
@@ -16,10 +16,10 @@
 ByteCompile: TRUE
 URL: https://github.com/HenrikBengtsson/globals
 BugReports: https://github.com/HenrikBengtsson/globals/issues
-RoxygenNote: 6.1.0
+RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2018-10-11 22:07:02 UTC; hb
+Packaged: 2019-12-07 20:32:40 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2018-10-11 22:30:04 UTC
+Date/Publication: 2019-12-07 21:10:02 UTC

=== debian/changelog ===
r-cran-globals (0.12.5-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:12:52 +0000

r-cran-globals (0.12.5-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 19:57:07 +0200

r-cran-globals (0.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 15:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-codetools
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals
+Rules-Requires-Root: no
 
 Package: r-cran-globals
 Architecture: all

## r-cran-globals 0.14.0

=== DESCRIPTION ===
Package: globals
Version: 0.14.0
Depends: R (>= 3.1.2)
Imports: codetools
Title: Identify Global Objects in R Expressions
Authors@R: c(
    person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
           email="henrikb@braju.com"),
    person("Davis","Vaughan", role="ctb",
           email="davis@rstudio.com"))
Description: Identifies global ("unknown" or "free") objects in R expressions
    by code inspection using various strategies (ordered, liberal, or
    conservative).  The objective of this package is to make it as simple as
    possible to identify global objects for the purpose of exporting them in
    parallel, distributed compute environments.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://github.com/HenrikBengtsson/globals
BugReports: https://github.com/HenrikBengtsson/globals/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-11-22 16:11:06 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph],
  Davis Vaughan [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2020-11-22 17:00:02 UTC

=== debian/changelog ===
r-cran-globals (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 11:46:06 +0100

r-cran-globals (0.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:17:37 +0200

r-cran-globals (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 08:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: r-cran-globals
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-codetools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals

=== debian/watch ===
version=4

https://cran.r-project.org/src/contrib/globals_([-0-9\.]*)\.tar\.gz

# https://github.com/HenrikBengtsson/globals/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## r-cran-globals 0.16.0

=== debian/changelog ===
r-cran-globals (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 07 Aug 2022 13:29:02 +0200

r-cran-globals (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jun 2022 14:49:23 +0200

r-cran-globals (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:33:33 +0200

r-cran-globals (0.14.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:31:28 +0200

## r-cran-globals 0.16.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: globals
-Version: 0.14.0
+Version: 0.16.2
 Depends: R (>= 3.1.2)
 Imports: codetools
 Title: Identify Global Objects in R Expressions
@@ -16,13 +16,14 @@
 License: LGPL (>= 2.1)
 LazyLoad: TRUE
 ByteCompile: TRUE
-URL: https://github.com/HenrikBengtsson/globals
+URL: https://globals.futureverse.org,
+        https://github.com/HenrikBengtsson/globals
 BugReports: https://github.com/HenrikBengtsson/globals/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.2
 NeedsCompilation: no
-Packaged: 2020-11-22 16:11:06 UTC; hb
+Packaged: 2022-11-21 20:18:24 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph],
   Davis Vaughan [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2020-11-22 17:00:02 UTC
+Date/Publication: 2022-11-21 21:10:02 UTC

=== debian/changelog ===
r-cran-globals (0.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 13:37:36 +0100

r-cran-globals (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 11:43:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-globals
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
+Homepage: https://cran.r-project.org/package=globals
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-codetools
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
-Homepage: https://cran.r-project.org/package=globals
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-globals
 Architecture: all

## r-cran-globals 0.16.3

=== debian/changelog ===
r-cran-globals (0.16.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 16:06:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-codetools
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://cran.r-project.org/src/contrib/globals_([-0-9\.]*)\.tar\.gz

# https://github.com/HenrikBengtsson/globals/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## r-cran-globals 0.18.0

=== debian/changelog ===
r-cran-globals (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 09:40:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-globals
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-codetools,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
 Homepage: https://cran.r-project.org/package=globals
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-codetools
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-globals
 Architecture: all

## r-cran-globals 0.19.0

=== DESCRIPTION ===
Package: globals
Version: 0.19.0
Depends: R (>= 3.1.2)
Imports: codetools
Title: Identify Global Objects in R Expressions
Authors@R: c(
    person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
           email="henrikb@braju.com"),
    person("Davis","Vaughan", role="ctb",
           email="davis@posit.co"))
Description: Identifies global ("unknown" or "free") objects in R expressions
    by code inspection using various strategies (ordered, liberal,
    conservative, or deep-first search). The objective of this package is to
    make it as simple as possible to identify global objects for the purpose
    of exporting them in parallel, distributed compute environments.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
Language: en-US
Encoding: UTF-8
URL: https://globals.futureverse.org,
        https://github.com/futureverse/globals
BugReports: https://github.com/futureverse/globals/issues
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-02-01 17:41:18 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph],
  Davis Vaughan [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2026-02-02 06:30:53 UTC

=== debian/changelog ===
r-cran-globals (0.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 05 Feb 2026 10:21:56 +0900

=== debian/control ===
Source: r-cran-globals
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-globals
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-globals.git
Homepage: https://cran.r-project.org/package=globals
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-codetools,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-globals
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: R package: Identify Global Objects in R Expressions
 Identifies global ("unknown") objects in R expressions by code inspection
 using various strategies, e.g. conservative or liberal. The objective of this
 package is to make it as simple as possible to identify global objects for the
 purpose of exporting them in distributed compute environments.
